<template lang="pug">
.lang-switch
	.trigger.is-flex.is-align-items-center.is-justify-content-center
		p {{ $i18n.locale.toUpperCase() }}
		.img.is-flex
			angle-down
	.dropdown.is-flex.is-flex-direction-column
		.dropdown-item( @click='setLocale("ru")' ) Русский
		.dropdown-item( @click='setLocale("en")' ) English
</template>

<script>
import { loadLanguageAsync } from "@/i18n"

export default {
	components: {
		AngleDown: () => import("svg/angle_down.svg")
	},
	methods: {
		setLocale: loadLanguageAsync
	}
}
</script>

<style lang="scss" scoped>
.lang-switch {
	position: relative;
	&:hover {
		.trigger {
			border-radius: 4px 4px 0 0;
		}
		.dropdown {
			top: 100%;
			pointer-events: all;
		}
	}
}

.trigger {
	padding: 1.125rem .5rem 1.125rem .75rem;
	background: rgba($color: $black, $alpha: .82);
	border-radius: 4px;
	cursor: pointer;
	user-select: none;
	p {
		font-size: .5625rem;
		line-height: .5625rem;
		font-weight: 800;
		color: #fff;
	}
	.img {
		margin-left: .5rem;
	}
}

.dropdown {
	background: rgba($color: $black, $alpha: .82);
	border-radius: 0 4px 4px 4px;
	position: absolute;
	top: -2000%;
	left: 0;
	overflow: hidden;
	transition: top .3s ease-in-out;
	pointer-events: none;
	z-index: 4;
	&-item {
		font-size: .6875rem;
		font-weight: 700;
		text-transform: uppercase;
		padding: .75rem 1rem;
		padding-right: 2rem;
		cursor: pointer;
		user-select: none;
		&:hover {
			color: $black;
			background: #fff;
		}
	}

	@include max_tablet {
		left: unset;
		right: 0;
		border-radius: 4px 0 4px 4px;
	}
}
</style>